NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.SketchConstraintBuilder Class Reference

Represents a NXOpen.SketchConstraint builder More...

Inheritance diagram for NXOpen.SketchConstraintBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  Constraint {
  Coincident, PointOnCurve, Tangent, Parallel,
  Perpendicular, Horizontal, Vertical, HorizontalAlignment,
  VerticalAlignment, Midpoint, Collinear, Concentric,
  EqualLength, EqualRadius, Symmetric, Fixed,
  FullyFixed, ConstantAngle, ConstantLength, PointOnString,
  TangentToString, PerpendicularToString, NonUniformScale, UniformScale,
  SlopeOfCurve
}
 the types of the constraint More...
 

Properties

unsafe NXOpen.SelectNXObject Centerline [get]
 Returns the centerline for a symmetric constraint type More...
 
unsafe
NXOpen.SketchConstraintBuilder.Constraint 
ConstraintType [get, set]
 Returns or sets the constraint type More...
 
unsafe NXOpen.SelectNXObjectList GeometryToConstrain [get]
 Returns the geometries to be constrained More...
 
unsafe NXOpen.SelectNXObject GeometryToConstrainTo [get]
 Returns the secondary geometries to be constrained More...
 
unsafe bool MakeReference [get, set]
 Returns or sets the flag specifying whether or not to make the centerline reference geometry More...
 
unsafe bool UpdateSketchAtCommit [get, set]
 Returns or sets the flag specifying whether or not to update the sketch during the builder commit. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a NXOpen.SketchConstraint builder

To create a new instance of this class, use NXOpen.SketchCollection.CreateConstraintBuilder

Created in NX8.5.0

Member Enumeration Documentation

the types of the constraint

Enumerator
Coincident 
PointOnCurve 
Tangent 
Parallel 
Perpendicular 
Horizontal 
Vertical 
HorizontalAlignment 
VerticalAlignment 
Midpoint 
Collinear 
Concentric 
EqualLength 
EqualRadius 
Symmetric 
Fixed 
FullyFixed 
ConstantAngle 
ConstantLength 
PointOnString 
TangentToString 
PerpendicularToString 
NonUniformScale 
UniformScale 
SlopeOfCurve 

Property Documentation

unsafe NXOpen.SelectNXObject NXOpen.SketchConstraintBuilder.Centerline
get

Returns the centerline for a symmetric constraint type

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SketchConstraintBuilder.Constraint NXOpen.SketchConstraintBuilder.ConstraintType
getset

Returns or sets the constraint type

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectNXObjectList NXOpen.SketchConstraintBuilder.GeometryToConstrain
get

Returns the geometries to be constrained

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.SketchConstraintBuilder.GeometryToConstrainTo
get

Returns the secondary geometries to be constrained

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.SketchConstraintBuilder.MakeReference
getset

Returns or sets the flag specifying whether or not to make the centerline reference geometry

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.SketchConstraintBuilder.UpdateSketchAtCommit
getset

Returns or sets the flag specifying whether or not to update the sketch during the builder commit.

The default value is true. If the value is set to false, the sketch will not update during the builder commit.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.